Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000058Testlink 1.6.xNew Featurepublic2005-08-19 08:462005-12-10 12:32
Reporterkevin 
Assigned Toschlundus 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.5.1 
Fixed in Version1.6 alpha 
Summary0000058: Add link to bugzilla
DescriptionI added some really simple code so that an executed case with a bugzilla bug assigned to it has a link on the page to the bugzilla bug (prepending the url http://qa/bugzilla/show_bug.cgi?id= [^] to the bug id).

I modified the file ~/testlink/gui/templates/execSetResults.tpl as follows:
              <tr>
                        <td colspan="2">
                                

                                <span class="title">Bug / Problem Report</span>
                                <input name='bugs{$arrTC[Row].id}' value='{$arr\
TC[Row].bugs}' />
                        </td>
<!-- code added by Kevin Levy Start -->
            <td colspan="2">
                                

                                <a href='http://qa/bugzilla/show_bug.cgi?id={$a\ [^]
rrTC[Row].bugs}'>{$arrTC[Row].bugs}</a>
                        </td>
<!-- code added by Kevin Levy Finish -->
                </tr>
Unfortunately this solution has the bugzilla url server hard coded.
I'm sure there is a better way to do this which leverages bugzilla root server information the bugzilla.cfg file bug I'm not sure how to access it. Is it part of the session object?


Additional InformationCan we have this table be displayed always in the execution page? This table being displayed should not be dependant on the build selected.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000042)
schlundus (reporter)
2005-08-25 21:15

Fixed:
I added a link to the bugtracking system in the executing page.
And also a table which display all bugs with its summary
(0000237)
kevin (reporter)
2005-10-16 05:22

Currently this table is only displayed if the build selected is the exact same build the bug was filed against. I think we should display all relevant bugs on a test case no matter what build is selected. This is important so that QA testers know the history of a case and are aware of open bugs when they are executing test cases.
(0000338)
schlundus (reporter)
2005-11-15 20:36

resolved as there is a new mantis-entry describing the wanted feature

- Issue History
Date Modified Username Field Change
2005-08-19 08:46 kevin New Issue
2005-08-24 20:57 schlundus Assigned To => schlundus
2005-08-24 20:57 schlundus Status new => assigned
2005-08-25 21:15 schlundus Status assigned => resolved
2005-08-25 21:15 schlundus Fixed in Version => 1.6 alpha
2005-08-25 21:15 schlundus Resolution open => fixed
2005-08-25 21:15 schlundus Note Added: 0000042
2005-08-25 21:16 schlundus Assigned To schlundus => kevin
2005-08-25 21:19 schlundus Status resolved => assigned
2005-10-16 05:22 kevin Note Added: 0000237
2005-10-16 05:24 kevin Assigned To kevin => schlundus
2005-10-16 05:24 kevin Resolution fixed => open
2005-10-16 05:24 kevin Additional Information Updated
2005-11-15 20:36 schlundus Status assigned => resolved
2005-11-15 20:36 schlundus Resolution open => fixed
2005-11-15 20:36 schlundus Note Added: 0000338
2005-12-10 12:32 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker